Release criterion proposal: modify conflicts/dependencies criterion to cover all critical packaging errors

Adam Williamson awilliam at
Mon Dec 3 18:14:15 UTC 2012 came up for
discussion in the blocker meeting today, and highlighted an inadequacy
in the criteria. An Alpha criterion currently reads:

"There must be no file conflicts (cases where the files in some packages
conflict but the packages have explicit Conflicts: tags are acceptable)
or unresolved package dependencies during a media-based (DVD) install"

However, the intent here is that all packages on the media should be
installable, excepting combinations of packages with explicit Conflicts:
between them. This bug shows a case where the error isn't a non-explict
conflict or a bad dep, but a scriptlet error. Clearly, the criterion is
too narrow.

We agreed in principle at the meeting to amend the criterion to cover
any critical packaging error. So I propose this wording:

There must be no errors in any package on the DVD or release-blocking
live desktop media which cause the package to fail to install. Such
critical errors include, but are not limited to, undeclared conflicts
(explicit Conflicts: tags are acceptable) and unresolved dependencies

Comments, thoughts, rotten fruit? Thanks!
Adam Williamson
Fedora QA Community Monkey
IRC: adamw | Twitter: AdamW_Fedora | adamwfedora

More information about the test mailing list